function vrep = moveVrep(vrep, v)
% move the polytope in V-representation along a vector
%
% Syntax: Vrep = moveVrep(Vrep, v)
%
% The vector v must be a vector that matches the dimension of the polytope 
%   Vrep.
%
% See also: movePolytope, obtainPolytope, stretchPolytope, rotatePolytope

% The elk-library: convex geometry applied to crystallization modeling.
%   Copyright (C) 2012 Alexander Reinhold
%
% This program is free software: you can redistribute it and/or modify it 
%   under the terms of the GNU General Public License as published by the 
%   Free Software Foundation, either version 3 of the License, or (at your 
%   option) any later version.
%
% This program is distributed in the hope that it will be useful, but 
%   WITHOUT ANY WARRANTY; without even the implied warranty of 
%   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
%   General Public License for more details.
%
% You should have received a copy of the GNU General Public License along 
%   with this program.  If not, see <http://www.gnu.org/licenses/>.

%% correct v to be a row vector
if size(v, 2) == 1
    v = v';
end

if length(v) ~= size(vrep.V, 2)
    error('elk:polytope:wrongType', ...
        'dimension of the vector must match the dimension of the polytope');
end

%% Result for convex hull object
vrep.V = vrep.V + ones(size(vrep.V, 1), 1)*v;

end